Skip to main content
GET
Get app download file

Job visibility

Download jobs are visible only to the user the job runs as. If a job was started with a userId parameter, fetch the results with the same userId. Additionally, the specified user must still have access to the app when fetching the results using this endpoint.

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

documentId
string
required

The document's URL slug (e.g. abc123) or its canonical workbook UUID.

Example:

"12db1a0a"

jobId
string<uuid>
required

The job ID returned by Initiate app download.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

userId
string<uuid>

Organization API key required. The membership ID of the user to act as.

Response

The file, streamed, with Content-Type, Content-Length, and Content-Disposition: attachment set.

The Content-Type indicates the format of the download:

The response is of type file.